package com.qmth.paper.library.business.templete.service;

import java.util.Map;
import java.util.StringJoiner;

/**
 * @Description: 任务处理逻辑
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/29
 */
public interface TaskLogicService {

    /**
     * 处理导入机构数据
     *
     * @param map 数据源
     * @return 结果
     * @throws Exception 异常
     */
    Map<String, Object> executeImportSysOrgLogic(Map<String, Object> map) throws Exception;

    /**
     * 处理导入用户数据
     *
     * @param map 数据源
     * @return 结果
     * @throws Exception 异常
     */
    Map<String, Object> executeImportSysUserLogic(Map<String, Object> map) throws Exception;


    /**
     * 下载试卷
     *
     * @param map 数据源
     */
    Map<String, Object> executeDownloadPaperLogic(Map<String, Object> map);

    /**
     * 下载试卷
     *
     * @param map 数据源
     */
    Map<String, Object> executeDownloadPictureLogic(Map<String, Object> map);
    Map<String, Object> executeImportExamStudentLogic(Map<String, Object> map, StringJoiner stringJoinerSummary);

    /**
     * 考生试卷生成pdf
     *
     * @param map 数据源
     */
    Map<String, Object> executeStudentPdfGenerateLogic(Map<String, Object> map);
}
